package com.bonus.material.record.mapper;


import com.bonus.common.biz.domain.BmFileInfo;
import com.bonus.material.settlement.domain.SltAgreementInfo;
import com.bonus.material.settlement.domain.SltAgreementReduce;
import com.bonus.material.settlement.domain.SltAgreementReduceRecord;

import java.util.List;

/**
* @description 减免记录查询
* @author hay
* @date   2025/2/19 10:50
*/
public interface DerateRecordQueryMapper {

    /**
     * 减免记录查询列表
     * @param bean
     * @return
     */
    List<SltAgreementReduceRecord> getList(SltAgreementInfo bean);


    /**
     * 减免记录查询列表
     * @param bean
     * @return
     */
    List<SltAgreementReduce> getAuditList(SltAgreementInfo bean);

    /**
     * 删除减免记录
     * @param id
     * @return
     */
    int delData(Long id);

    /**
     * 减免记录详情查看
     * @param id
     * @return
     */
    SltAgreementReduce getInfo(Long id);

    /**
     * 减免记录附件
     * @param info
     * @return
     */
    List<BmFileInfo> getBmFileInfos(SltAgreementReduce info);

    /**
     * 减免记录详情查看
     * @param id
     * @return
     */
    List<SltAgreementReduce> getDetailList(Long id);

    SltAgreementReduce getAuditPrice(Long id);
}
